Bug 1570030 - Rebase flatpak to 1.0.x
Summary: Rebase flatpak to 1.0.x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: flatpak
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: David King
QA Contact: Desktop QE
URL:
Whiteboard:
: 1626776 1628226 (view as bug list)
Depends On: 1628226
Blocks: 1524375 1537509 1567133 1649404
TreeView+ depends on / blocked
 
Reported: 2018-04-20 13:10 UTC by Matthias Clasen
Modified: 2018-11-13 15:03 UTC (History)
10 users (show)

Fixed In Version: flatpak-1.0.2-2.el7 xdg-desktop-portal-1.0.2-1.el7 xdg-desktop-portal-gtk-1.0.2-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:26:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:27:15 UTC

Description Matthias Clasen 2018-04-20 13:10:23 UTC
As part of the desktop rebase in 7.6, we need to update flatpak to the version that is shipped with GNOME 3.28.

Comment 2 Richard Hughes 2018-06-01 09:46:36 UTC
We also need to bundle the flatpak-builder as part of this package as it was split out upstream and we're not doing any more maitai requests for the sake of it. Not having the new flatpak in the rhel-7.6 branch means we probably don't have a new enough flatpak version of bubblewrap, which means that gnome-desktop3 is unbuildable, and the rebase is blocking on this.

Comment 3 David King 2018-06-02 10:40:23 UTC
(In reply to Richard Hughes from comment #2)
> We also need to bundle the flatpak-builder as part of this package as it was
> split out upstream and we're not doing any more maitai requests for the sake
> of it. Not having the new flatpak in the rhel-7.6 branch means we probably
> don't have a new enough flatpak version of bubblewrap, which means that
> gnome-desktop3 is unbuildable, and the rebase is blocking on this.

I bundled flatpak-builder 0.10.10 inside flatpak-0.10.4-1.el7 - thanks for the heads up!

Comment 5 Bill Sanford 2018-08-15 13:44:52 UTC
Verified on RHEL-7.6-20180812.n.0

Comment 6 Tomas Pelka 2018-09-12 08:01:38 UTC
Need to bump the version to 1.0.x

Comment 7 Tomas Pelka 2018-09-12 08:02:42 UTC
*** Bug 1626776 has been marked as a duplicate of this bug. ***

Comment 10 Kalev Lember 2018-09-12 12:02:01 UTC
flatpak build done; amigadave is doing the matching xdg-desktop-portal builds (they need to go out together).

Comment 13 David King 2018-09-12 13:50:22 UTC
*** Bug 1628226 has been marked as a duplicate of this bug. ***

Comment 17 Kalev Lember 2018-09-13 11:44:09 UTC
Thanks, should be fixed in http://pkgs.devel.redhat.com/cgit/rpms/flatpak/commit/?h=rhel-7.6&id=059da1b43be686d7e96120894ecd4b21d82224c7

I'll wait for new 1.0.2 upstream release that Alex is working on and do a new build then.

Comment 19 Martin Krajnak 2018-09-14 12:19:39 UTC
flatpak-1.0.2-2.el7.x86_64
xdg-desktop-portal-1.0.2-1.el7.x86_64
xdg-desktop-portal-gtk-1.0.2-1.el7.x86_64
gnome-software-3.28.2-2.el7.x86_64

Comment 21 errata-xmlrpc 2018-10-30 10:26:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.